# Debug and development tools

It's often required to get a handy lxc/oci container to validate something quickly.
`swmodd` provides a LXC templates to easily create LXC based containers and a script to create oci based container.

> Note: These template/script shall used only for development and test purposes, it shall not be used in deployments.

## To create a new container using iopsys template:

`lxc-create -n <container_name> -t iopsys`

example:
```bash
root@iopsys:~# lxc-create -n test -t iopsys
root@iopsys:~#
```

## To create a new oci container

```bash
# crun_create -h
CRUN iopsys image builder

Special arguments:

  [ -h | --help ]: Print this help message and exit.
  [ -c | --config ]: Generate config in swmodd for specified container

Arguments:

  [ -n | --name <name> ]: The container name
  [ -r | --root <path> ]: The root dir path where the environment exists
  [ -e | --env <name> ]: Name of the environment
  [ --no-reload ]: Do not reload crun

IOPSYS template specific arguments:

  [ --busybox-path <path> ]: busybox pathname (default: /bin/busybox)
```

example:

```bash
crun_create -n test
```
